Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.marshalling
Class XOManager

    java.lang.Object
      com.ejie.r01f.xml.marshalling.XOManager

Direct Known Subclasses:
  XMLManager

public class XOManager
extends java.lang.Object

Clase que maneja los marshallers XML<->Objetos En esta clase se cachean las marshallers para cada definición de mapeo de XML a objetos, de forma que NO sea necesario volver a leer el mapa con la definción (ahorrando tiempos) Para cargar los mapas se pueden utilizar DOS sistemas: - Loader en base a ficheros (por defecto) Lee los ficheros desde la ruta que se pasa como parametro - Loader en base a ClassPath Lee los ficheros desde el classPath, para lo cual es necesario que el fichero con el mapeo XML<->Objetos esté en algún lugar del ClassPath Ejemplo: Si los ficheros de mapeo están en /aplic/[appCode]/html/datos: - Si se utiliza el loader en base a ficheros, en el nombre del fichero que hay que pasar a las funciones de esta clase es la ruta absoluta: /aplic/[appCode]/html/datos/[ficheroMapeo].xml - Si se utiliza el loader en base al classPath, en el nombre del fichero que hay que pasar a las funciones de esta clase hay que pasar una ruta que este en el classPath: Si el classpath contiene /aplic, bastaría con pasar: /[appCode]/html/datos/[ficheroMapeo].xml Es posible indicar el Loader a utilizar estableciendo la propiedad xoMarshalling/mapFilesLoader del fichero r01f.properties.xml a uno de los siguientes valores: FILESYSTEM Carga directa desde la localización absoluta en disco CLASSPATH Carga relativa desde cualquier localización del classPath

Constructor Summary
`XOManager()` Constructor vacio

Method Summary
`static XOMarshaller` | `getInstance(java.lang.String mapFileName)` Devuelve una instancia de Marshaller para el fichero de mapeo dado Si el marshaller no esta inicializado, se inicializa en este momento
`static java.lang.Object` | `getObject(java.lang.String mapFileName, java.io.InputStream objectXML)` Obtiene un objeto a partir de un xml en forma de InputStream
`static java.lang.Object` | `getObject(java.lang.String mapFileName, java.lang.String objectXML)` Obtiene un objeto a partir de un xml en forma de String
`static java.lang.String` | `getXML(java.lang.String mapFileName, java.lang.Object obj)` Obtiene una cadena xml a partir de un objeto
`static java.lang.String` | `getXMLIgnoringExceptions(java.lang.String mapFileName, java.lang.Object obj)` Devuelve un objeto en forma de xml ignorando cualquier excepcion que pueda lanzarse en el proceso
`static XOMap` | `getXOMap(java.lang.String mapFileName)` Devuelve el mapeo correspondiente al nombre de fichero
`static void` | `main(java.lang.String[] args)` Main Method
`static void` | `reset()` Resetea los marshallers... forzando que se vuelvan a cargar todos los ficheros de mapeo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XOManager

    public XOManager()

  Constructor vacio

Method Detail

### getInstance

    public static XOMarshaller getInstance(java.lang.String mapFileName)
                                    throws XOMarshallerException

  Devuelve una instancia de Marshaller para el fichero de mapeo dado Si el marshaller no esta inicializado, se inicializa en este momento

  Throws:
    `XOMarshallerException:` - Si ha algun error al inicializar el marshaller
    `XOMarshallerException`

### getXOMap

    public static XOMap getXOMap(java.lang.String mapFileName)
                          throws XOMarshallerException

  Devuelve el mapeo correspondiente al nombre de fichero

  Parameters:
    `mapFileName` - El nombre del fichero de mapeo
  Returns:
    El objeto de mapeo
  Throws:
    `XOMarshallerException` - Si ocurre una excepcion en el proceso

### reset

    public static void reset()

  Resetea los marshallers... forzando que se vuelvan a cargar todos los ficheros de mapeo.

### getObject

    public static java.lang.Object getObject(java.lang.String mapFileName,
                                             java.lang.String objectXML)
                                      throws XOMarshallerException

  Obtiene un objeto a partir de un xml en forma de String

  Parameters:
    `mapFileName` - ruta al fichero de mapeo
    `objectXML` - El xml a convertir a objetos en forma de String
  Returns:
    El objeto creado por el marshaller que representa el fichero XML.
  Throws:
    `XOMarshallerException`

### getObject

    public static java.lang.Object getObject(java.lang.String mapFileName,
                                             java.io.InputStream objectXML)
                                      throws XOMarshallerException

  Obtiene un objeto a partir de un xml en forma de InputStream

  Parameters:
    `mapFileName` - ruta al fichero de mapeo
    `objectXML` - El xml a convertir a objetos en forma de InputStream (normalmente un ByteArrayInputStream)
  Returns:
    El objeto creado por el marshaller que representa el fichero XML.
  Throws:
    `XOMarshallerException`

### getXML

    public static java.lang.String getXML(java.lang.String mapFileName,
                                          java.lang.Object obj)
                                   throws XOMarshallerException

  Obtiene una cadena xml a partir de un objeto

  Parameters:
    `mapFileName` - ruta al fichero de mapeo
    `obj` - el objeto a partir del cual debe crearse el XML
  Returns:
    cadena que representa el XML creado por el marshaller.
  Throws:
    `XOMarshallerException`

### getXMLIgnoringExceptions

    public static java.lang.String getXMLIgnoringExceptions(java.lang.String mapFileName,
                                                            java.lang.Object obj)

  Devuelve un objeto en forma de xml ignorando cualquier excepcion que pueda lanzarse en el proceso

  Parameters:
    `mapFileName` - fichero de mapeo de xml a objetos
    `obj` - objeto a convertir
  Returns:
    el xml

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD